package psapkg;

import java.util.Vector;
import java.awt.*;
import psapkg.Polymer;

/*
	Class:	 	buildPolyDB
	Package:	psapkg
	Version: 	0.7
	By:	 	Sriranga Veeraraghavan
	Last Mod:	27 Mar 97 10:20 PM
*/

public class buildPolyDB {
	
	public buildPolyDB(Vector polyvector) {
		polyvector.addElement(new Polymer("Polyethylene, High Density",(double)155,
			(double)158,(double)3.2,(double)4.5,(double)10,(double)1200,(double)-90,
			(double)-90,(double)130,(double)137));
		polyvector.addElement(new Polymer("Polyethylene, Low Density",(double)25,(double)41,
			(double)1.2,(double)4.5,(double)100,(double)650,(double)-110,(double)-110,
			(double)98,(double)115));
		polyvector.addElement(new Polymer("Polytetrafluroethylene",(double)58,(double)80,
			(double)2,(double)5,(double)200,(double)400,(double)-90,(double)-90,
			(double)327,(double)327));
		polyvector.addElement(new Polymer("Polyvinyl chloride",(double)350,(double)600,
			(double)6,(double)7.5,(double)40,(double)80,(double)75,(double)105,
			(double)212,(double)212));
		polyvector.addElement(new Polymer("Polypropylene",(double)165,(double)225,
			(double)4.5,(double)6,(double)100,(double)600,(double)-20,(double)-20,
			(double)168,(double)175));
		polyvector.addElement(new Polymer("Polystyrene",(double)330,(double)475,
			(double)5.2,(double)7.5,(double)1.2,(double)2.5,(double)74,(double)105,
			(double)-274,(double)-274));
		polyvector.addElement(new Polymer("Polymethyl methacrylate",(double)325,(double)470,
			(double)7,(double)11,(double)2,(double)10,(double)85,(double)105,
			(double)-274,(double)-274));
		polyvector.addElement(new Polymer("Nylon 6,6",(double)230,(double)550,
			(double)11,(double)13.7,(double)15,(double)300,(double)57,(double)57,
			(double)255,(double)265));
		polyvector.addElement(new Polymer("Polyethylene terephthalate",(double)400,
			(double)600,(double)7,(double)10.5,(double)30,(double)300,(double)73,
			(double)80,(double)245,(double)265));
		polyvector.addElement(new Polymer("Polycarbonate",(double)345,(double)345,
			(double)9.5,(double)9.5,(double)110,(double)110,(double)150,(double)150,
			(double)-274,(double)-274));
		polyvector.addElement(new Polymer("Epoxy",(double)350,(double)350,
			(double)4,(double)13,(double)3,(double)6,(double)-274,(double)-274,
			(double)-274,(double)-274));
		polyvector.addElement(new Polymer("Phenolic",(double)400,(double)700,
			(double)5,(double)9,(double)1.5,(double)2,(double)-274,(double)-274,
			(double)-274,(double)-274));
		polyvector.addElement(new Polymer("Polyester",(double)300,(double)640,
			(double)6,(double)13,(double)0,(double)2,(double)-274,(double)-274,
			(double)-274,(double)-274));
		polyvector.addElement(new Polymer("ABS",(double)270,(double)400,
			(double)3.3,(double)8,(double)1.5,(double)80,(double)110,(double)125,
			(double)-274,(double)-274));
		polyvector.addElement(new Polymer("Acetal",(double)400,(double)520,
			(double)9.7,(double)10,(double)10,(double)75,(double)-274,(double)-274,
			(double)172,(double)184));
		polyvector.addElement(new Polymer("Acrylic",(double)450,(double)450,
			(double)10.5,(double)10.5,(double)3,(double)3,(double)90,(double)110,
			(double)-274,(double)-274));
		polyvector.addElement(new Polymer("Acrylonitrile",(double)510,(double)580,
			(double)9,(double)9,(double)3,(double)4,(double)95,(double)95,
			(double)135,(double)135));
		polyvector.addElement(new Polymer("Allyl",(double)1400,(double)2200,
			(double)6,(double)11,(double)3,(double)4,(double)-274,(double)-274,
			(double)-274,(double)-274));
		polyvector.addElement(new Polymer("Polyvinylidene Flouride",(double)200,(double)800,
			(double)3.5,(double)7.25,(double)12,(double)600,(double)-60,(double)-20,
			(double)141,(double)178));
		polyvector.addElement(new Polymer("Polyarletherketone",(double)520,(double)580,
			(double)13.5,(double)13.5,(double)50,(double)50,(double)-274,(double)-274,
			(double)323,(double)381));
		polyvector.addElement(new Polymer("Polyetheretherketone",(double)1250,(double)1600,
			(double)10.2,(double)15,(double)2,(double)3,(double)-274,(double)-274,
			(double)334,(double)334));
		polyvector.addElement(new Polymer("Aromatic Polyamide",(double)275,(double)410,
			(double)7.6,(double)14,(double)40,(double)150,(double)-274,(double)-274,
			(double)-274,(double)-274));
		polyvector.addElement(new Polymer("Polybutylene",(double)30,(double)40,
			(double)3.8,(double)4.4,(double)300,(double)380,(double)-274,(double)-274,
			(double)126,(double)126));
		polyvector.addElement(new Polymer("Polycarbonate, High Viscosity",(double)345,
			(double)345,(double)9.1,(double)10.5,(double)110,(double)120,(double)150,
			(double)150,(double)-274,(double)-274));
		polyvector.addElement(new Polymer("Polycarbonate, Low Viscosity",(double)345,
			(double)345,(double)9.1,(double)10.5,(double)110,(double)150,(double)150,
			(double)150,(double)-274,(double)-274));
		polyvector.addElement(new Polymer("Melamine Formaldehyde",(double)1100,(double)1400,
			(double)5,(double)13,(double)0.6,(double)1,(double)-274,(double)-274,
			(double)-274,(double)-274));
		polyvector.addElement(new Polymer("Polydicyclopentadiene",(double)240,(double)280,
			(double)5.3,(double)6,(double)5,(double)70,(double)90,(double)165,
			(double)-274,(double)-274));
		polyvector.addElement(new Polymer("Polyetherimide",(double)430,(double)430,
			(double)14,(double)14,(double)60,(double)60,(double)215,(double)217,
			(double)-274,(double)-274));
		polyvector.addElement(new Polymer("Polyethersulfone",(double)410,(double)410,
			(double)13,(double)13,(double)15,(double)40,(double)-274,(double)-274,
			(double)-274,(double)-274));
		polyvector.addElement(new Polymer("Polymethylpentene",(double)160,(double)280,
			(double)2.3,(double)2.5,(double)20,(double)120,(double)-274,(double)-274,
			(double)230,(double)240));
		polyvector.addElement(new Polymer("Polyimide",(double)300,(double)400,
			(double)10.5,(double)17.1,(double)7.5,(double)90,(double)250,(double)365,
			(double)388,(double)388));
		polyvector.addElement(new Polymer("Polyphenylene Oxide, Modified",(double)310,
			(double)380,(double)6.8,(double)7.8,(double)48,(double)50,(double)100,
			(double)112,(double)-274,(double)-274));
		polyvector.addElement(new Polymer("Polyphenylene Sulfide",(double)480,(double)480,
			(double)7,(double)12.5,(double)1,(double)6,(double)88,(double)88,
			(double)285,(double)290));
		polyvector.addElement(new Polymer("Polyurethane",(double)190,(double)300,
			(double)4.5,(double)9,(double)60,(double)550,(double)-274,(double)-274,
			(double)75,(double)137));
		polyvector.addElement(new Polymer("Polyvinylidene",(double)50,(double)80,
			(double)3.5,(double)5,(double)160,(double)240,(double)-15,(double)-15,
			(double)172,(double)172));
	}
}

