import java.awt.*;
import java.applet.*;
import java.util.Vector;
import psapkg.*;

/* 	
	Class:	 	searchApplet
	Version: 	0.71
	By:	 	Sriranga Veeraraghavan
	Last Mod:	06 Apr 97 10:12 PM
*/

public class searchApplet extends Applet {
	Button display, search_data, search_name, about;
	Panel bp,lp;
	static Vector vect_of_polys = new Vector(35);
	String versstr = "Polymer Search Applet v0.7 by Sriranga Veeraraghavan";
	private static boolean loaded = false;

	public void init() {
		setBackground(new Color(245,222,179));
		setLayout(new GridLayout(0,1,5,5));

		initbp();
		add(bp);
		
		loaddb();

		initlp();
		add(lp);
	}

	public void initlp() {
		lp = new Panel();
		lp.setLayout(new GridLayout(0,1,5,5));
		lp.add(new Label(versstr, Label.CENTER));
		lp.add(new Label(vect_of_polys.size() 
			+ " Polymers Managed in Database", Label.CENTER));
	}

	public void loaddb() {
		if (loaded == false) {
			showStatus("Loading Polymer DataBase...");
			new buildPolyDB(vect_of_polys);
			showStatus("Finished Loading Data for " 
				+ vect_of_polys.size() + "polymers");
			loaded = true;
		}
	}

	public void initbp() {
		bp = new rectPanel();
		bp.setLayout(new GridLayout(1,0,5,5));
		about = new Button("About");
		bp.add(about);
		display = new Button("View Database");
		bp.add(display);
		search_data = new Button("Search By Data");
		bp.add(search_data);
		search_name = new Button("Search By Name");
		bp.add(search_name);
	}
	
	public String getAppletInfo() {
		return versstr;
	}

	public boolean action(Event event, Object arg) {
		if(event.target instanceof Button) {
			showStatus((String) arg);
			if(arg.equals("View Database")) {
				polyList db = new polyList(vect_of_polys,"Polymer Database, "
					+ vect_of_polys.size() + " Polymers Managed");
			}
			if(arg.equals("About")) 
				About a = new About();
			if(arg.equals("Search By Data"))
				searchPolyDBd spdbd = new searchPolyDBd(vect_of_polys);
			if(arg.equals("Search By Name"))
				searchPolyDBn spdbn = new searchPolyDBn(vect_of_polys);
		}
		return true;
	}

}






