package psapkg;

import java.awt.*;

/*
	Class:	 	About
	Package:	psapkg
	Version: 	0.7
	By:	 	Sriranga Veeraraghavan
	Last Mod:	09 Mar 97 2:03 AM
*/

public class About extends Frame {
	protected Button okay;
	String infostrs[] = {"Polymer Search Applet v0.7(1,3)","By Sriranga R. Veeraraghavan",
		"Developed on a Macintosh Centris 650 using JDK1.0.2",
		"Send bug reports and comments to: ranga@soda.berkeley.edu",
		"Last compiled on 09 Apr 1997",
		"Thanks Prof. Lisa A. Pruitt, David Yu and Vivek Bhaskar",
		"\"I noticed you are still working with Polymers.",
		"What ELSE would I be working with?\" --STIV:TVH"};

	public About() {
		this.setTitle("About");
		this.setBackground(new Color(245,222,179));
		this.setResizable(false);
		this.setLayout(new GridLayout(0,1,5,5));
		
		for (int i = 0; i < infostrs.length; i++) 
			this.add(new Label(infostrs[i],Label.CENTER));

		this.add(new Button("OK"));

		this.resize(300,300);
		this.show();
	}

	public boolean action(Event e, Object arg) {
		if (e.target instanceof Button) {
			dispose();
			return true;
		} else {
			return false;
		}
	}

	public boolean handleEvent (Event event) {
		if (event.id == Event.WINDOW_DESTROY) {
			dispose();
			return true;
		}
		return super.handleEvent(event);
	}
}
